<template>
  <div>
    <span v-html="videoPage" />
  </div>
</template>

<script>
export default {
  data() {
    return {
      videoPage: ''
    }
  },
  created() {
    const pageUrl = this.$route.query.pageUrl
    this.getPage(pageUrl)
  },
  methods: {
    getPage(pageUrl) {
      console.log('跳转页面 + ' + pageUrl)
      fetch(`http://localhost:9988/api/t66y/page/?pageUrl=` + pageUrl, {
        method: 'GET'
      }).then(response => response.json())
        .then(json => {
          if (json.code === 0) {
            this.videoPage = json.data
          }
        })
        .catch(e => {
          return null
        })
    }
  }
}
</script>

<style lang="scss">
</style>
